#if !defined(AFX_TIMEDLG_H_INCLUDED_)
#define AFX_TIMEDLG_H_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TimeDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTimeDlg dialog

class CTimeDlg : public CDialog
{
// Construction
public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	CTimeDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CTimeDlg)
	enum { IDD = IDD_DIALOG_TIME };
	CSpinButtonCtrl	m_wndSpinRepeat;
	CEdit	m_wndEditRepeat;
	BOOL	m_fCheckDuration;
	BOOL	m_fCheckRepeat;
	BOOL	m_fCheckStart;
	BOOL	m_fCheckStop;
	int		m_nEditRepeat;
	CString	m_szEditFile;
	//}}AFX_DATA

	CTime m_tStartTime;
    CTimeSpan m_tsDurationTime;
    CTime m_tStopTime;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTimeDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult);
	//}}AFX_VIRTUAL

// Implementation
protected:
	CToolTipCtrl m_tooltip;
	HWND CreateCtrlDate(UINT nIDStatic, UINT nID, DWORD dwStyle);

    HWND m_hWndStartDate, m_hWndStartTime;	// Controles de saisie des dates
    HWND m_hWndDurationTime;				// Controles de saisie des dates
    HWND m_hWndStopDate, m_hWndStopTime;	// Controles de saisie des dates

	// Generated message map functions
	//{{AFX_MSG(CTimeDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnCheckStart();
	afx_msg void OnCheckRepeat();
	afx_msg void OnCheckDuration();
	afx_msg void OnCheckStop();
	afx_msg void OnButtonFile();
	afx_msg void OnButtonRelatif();
	afx_msg void OnButtonAbsolute();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TIMEDLG_H_INCLUDED_)
